# Class SecretKeyCallback.AliasRequest

java.lang.Object
jakarta.security.auth.message.callback.SecretKeyCallback.AliasRequest

All Implemented Interfaces:
  `SecretKeyCallback.Request`

Enclosing class:
  `SecretKeyCallback`

public static class SecretKeyCallback.AliasRequest extends Object implements SecretKeyCallback.Request
A request for a secret key identified by its alias.

## Constructor Summary

Constructors
Constructor
Description
`AliasRequest(String alias)`
Constructs an AliasRequest with the specified alias.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlias()`
Returns the alias of the requested secret key.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AliasRequest

public AliasRequest(String alias)
Constructs an AliasRequest with the specified alias.

Parameters:
  `alias` - The alias of the secret key to obtain

## Method Details

### getAlias

public String getAlias()
Returns the alias of the requested secret key.

Returns:
  The alias string